/* Limited manual (non-WarpIn) LBMix installation by Lesha Bogdanow.
   Requires wic.exe from WarpIn 0.96 or above to be available in
   one of PATH directories.
*/
wicx="wic -x"
src="LBMix.wpi"

call RxFuncAdd "SysLoadFuncs","REXXUTIL","SysLoadFuncs"
call SysLoadFuncs

src=stream(src,'c',"query exists")
if src="" then do
   say "You have to place LBMix.wpi file into the current directory."
   exit(1)
   end
say "This is a limited manual LBMix installation utility. It will unpack LBMix base"
say "package, additional icons and preview images into the current directory and"
say "create LBMix WPS objects. Proceed with installation? (Y/N):"
do until rsp='Y'
   parse pull rsp
   rsp=translate(left(rsp,1))
   if rsp='N' then do
      say "Installation aborted."
      exit(1)
      end
   else if rsp<>'Y' then say "Invalid input. Enter Y(es) or N(o):"
   end
call Unpack 1
"@mkdir AddIcons"
"@mkdir Preview"
dir=directory()
call directory "AddIcons"
call Unpack 2
call directory "..\Preview"
call Unpack 3
call directory dir
"call LBMixUI.cmd -y"
say "Creating LBMix objects."
fdir=dir
if right(fdir,1)<>"\" then fdir=fdir||"\"
call SysCreateObject "WPFolder","LBMix","<WP_DESKTOP>","OBJECTID=<LBMIX_FOLDER>;ICONFILE="||fdir||"LBMixFld.ico;ICONNFILE=1,"||fdir||"LBMixFlO.ico"
call SysCreateObject "WPProgram","LBMix Configuration","<LBMIX_FOLDER>","OBJECTID=<LBMIX_CONFIG>;EXENAME="||fdir||"LBMixCfg.cmd;ICONFILE="||fdir||"LBMixCfg.ico;STARTUPDIR="||dir
call SysCreateObject "WPProgram","Uninstall LBMix","<LBMIX_FOLDER>","OBJECTID=<LBMIX_UNINSTALL>;EXENAME="||fdir||"LBMixRmv.cmd;ICONFILE="||fdir||"LBMixRmv.ico;STARTUPDIR="||dir
call SysCreateObject "WPProgram","LBMix Manual","<LBMIX_FOLDER>","OBJECTID=<LBMIX_MANUAL>;EXENAME=VIEW.EXE;ICONFILE="||fdir||"LBMixInf.ico;PARAMETERS="||fdir||"LBMix.inf"
say "Installation complete. An LBMix folder was created. See LBMix manual in this"
say "folder for details on LBMix configuration and usage."
say "You can delete LBMixIns.cmd and LBMix.wpi now."
exit(0)

Unpack:
   wicx src arg(1)
   if rc<>0 then do
      say "Failed to decompress .wpi archive. Make sure wic.exe from WarpIn 0.96 or"
      say "above is available in one of PATH directories."
      exit(1)
      end
   return
